unit Ccprnmgr;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls, Buttons, Printers;

type
  TCCPrintForm = class(TForm)
    ComboBox1: TComboBox;
    Label1: TLabel;
    BitBtn1: TBitBtn;
    BitBtn3: TBitBtn;
    BitBtn4: TBitBtn;
    Bevel1: TBevel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Bevel2: TBevel;
    Label5: TLabel;
    Label6: TLabel;
    Bevel3: TBevel;
    ListBox1: TListBox;
    Label7: TLabel;
    BitBtn6: TBitBtn;
    BitBtn7: TBitBtn;
    BitBtn8: TBitBtn;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    RadioGroup1: TRadioGroup;
    BitBtn9: TBitBtn;
    FontDialog1: TFontDialog;
    BitBtn10: TBitBtn;
    BitBtn11: TBitBtn;
    BitBtn12: TBitBtn;
    PrintDialog1: TPrintDialog;
    procedure FormCreate(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  CCPrintForm: TCCPrintForm;

implementation

{$R *.DFM}

procedure TCCPrintForm.FormCreate(Sender: TObject);
begin
  { Clear the combobox and assign the available printers }
  Combobox1.Clear;
  Combobox1.Items.Assign( Printer.Printers );
  Combobox1.Itemindex := Printer.PrinterIndex;
  { Display currently active printer }
  Label4.Caption := Printer.Printers[ Printer.PrinterIndex ];
  { Display resolution of currently active printer }
  Label11.Caption := 'Width: ' + InttoStr( Printer.PageWidth ) +
   ' Height: ' + IntToStr( Printer.PageHeight );
  { Display orientation of currently active printer }
  case Printer.Orientation of
    poPortrait  : RadioGroup1.ItemIndex := 0;
    poLandscape : RadioGroup1.ItemIndex := 1;
  end;
  { Determine basic device capabilities of the selected printer }
  if GetDeviceCaps( Printer.Handle , TECHNOLOGY ) = DT_RASPRINTER then
   Label9.Caption := 'Graphics Capable' else Label9.Caption := 'Character Device';
  if (( GetDeviceCaps( Printer.Handle , BITSPIXEL ) > 1 ) or
     ( GetDeviceCaps( Printer.Handle , PLANES ) > 1 )) then
   Label8.Caption := 'Color Capable' else Label8.Caption := 'Monochrome';
  Label10.Caption := 'Resolution: ' +
   IntToStr( GetDeviceCaps( Printer.Handle , LOGPIXELSX )) + ' dpi';
end;

procedure TCCPrintForm.BitBtn1Click(Sender: TObject);
begin
  { Set the Default printer to be the selection of the combobox }
  Printer.PrinterIndex := ComboBox1.ItemIndex;
  { And cleverly reset the display! }
  FormCreate( Self );
end;

end.
